Package postgresql16: Information

  • Default inline alert: Version in the repository: 16.3-alt3

Source package: postgresql16
Version: 16.3-alt1
Latest version according to Repology
Build time:  May 15, 2024, 02:33 PM in the task #348085
Category: Databases
Report package bug
License: PostgreSQL
Summary: PostgreSQL client programs and libraries
Description: 
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the docs
in HTML for the whole package, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server.

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

List of rpms provided by this srpm:
libecpg6 (x86_64, ppc64le, i586, aarch64)
libecpg6-debuginfo (x86_64, ppc64le, i586, aarch64)
libecpg6-devel (x86_64, ppc64le, i586, aarch64)
libecpg6-devel-debuginfo (x86_64, ppc64le, i586, aarch64)
libecpg6-devel-static (x86_64, ppc64le, i586, aarch64)
libpq5 (x86_64, ppc64le, i586, aarch64)
libpq5-debuginfo (x86_64, ppc64le, i586, aarch64)
libpq5-devel (x86_64, ppc64le, i586, aarch64)
libpq5-devel-debuginfo (x86_64, ppc64le, i586, aarch64)
libpq5-devel-static (x86_64, ppc64le, i586, aarch64)
postgresql-devel (x86_64, ppc64le, i586, aarch64)
postgresql-devel-static (x86_64, ppc64le, i586, aarch64)
postgresql16 (x86_64, ppc64le, i586, aarch64)
postgresql16-contrib (x86_64, ppc64le, i586, aarch64)
postgresql16-contrib-debuginfo (x86_64, ppc64le, i586, aarch64)
postgresql16-debuginfo (x86_64, ppc64le, i586, aarch64)
postgresql16-docs (noarch)
postgresql16-llvmjit (x86_64, ppc64le, i586, aarch64)
postgresql16-llvmjit-debuginfo (x86_64, ppc64le, i586, aarch64)
postgresql16-perl (x86_64, ppc64le, i586, aarch64)
postgresql16-perl-debuginfo (x86_64, ppc64le, i586, aarch64)
postgresql16-python (x86_64, ppc64le, i586, aarch64)
postgresql16-python-debuginfo (x86_64, ppc64le, i586, aarch64)
postgresql16-server (x86_64, ppc64le, i586, aarch64)
postgresql16-server-debuginfo (x86_64, ppc64le, i586, aarch64)
postgresql16-server-devel (x86_64, ppc64le, i586, aarch64)
postgresql16-server-devel-debuginfo (x86_64, ppc64le, i586, aarch64)
postgresql16-tcl (x86_64, ppc64le, i586, aarch64)
postgresql16-tcl-debuginfo (x86_64, ppc64le, i586, aarch64)
rpm-macros-postgresql (noarch)



ACL:
Alexei Takaseev
@pgsql
@everybody

    1. OpenSP
    2. autoconf_2.60
    3. clang15.0-devel
    4. docbook-style-dsssl
    5. docbook-style-dsssl-utils
    6. docbook-style-xsl
    7. flex
    8. gcc-c++
    9. libicu-devel
    10. libkrb5-devel
    11. libldap-devel
    12. liblz4-devel
    13. libossp-uuid-devel
    14. libpam-devel
    15. libreadline-devel
    16. libselinux-devel
    17. libssl-devel
    18. libuuid-devel
    19. libxslt-devel
    20. libzstd-devel
    21. llvm15.0-devel
    22. openjade
    23. perl-DBI
    24. perl-devel
    25. postgresql-common
    26. python3-dev
    27. setproctitle-devel
    28. tcl-devel
    29. xsltproc
    30. zlib-devel

Last changed


May 11, 2024 Alexei Takaseev 16.3-alt1
- 16.3 (Fixes CVE-2024-4317)
Feb. 12, 2024 Alexei Takaseev 16.2-alt1
- 16.2 (Fixes CVE-2024-0985)
Nov. 9, 2023 Alexey Sheplyakov 16.1-alt2
- NMU: build without jit on LoongArch. Fixes FTBFS.